import request from '@/utils/request'

//  新增提问
export function addQuestions(data) {
	return request({
		url: `/shian/questions`,
		method: 'post',
		data
	})
}
//  分页获取提问列表
export function getList(query){
	return request({
		url: `/shian/questions/page`,
		method: 'get',
		params:query
	})
}
//回复留言
export function requestText(data){
	return request({
		url: `/shian/questions/reply`,
		method: 'put',
		data
	})
}
//修改回复
export function updataReply(data){
	return request({
		url: `/shian/questions`,
		method: 'put',
		data
	})
}
//删除回复
export function deleteReply(ids){
	return request({
		url: `/shian/questions/delReplyById/${ids}`,
		method: 'delete',
	})
}